pub(crate) type Matrix = Vec<Vec<char>>;

pub(crate) fn parse_input(input: &str) -> Matrix {
    parse_lines(input)
        .into_iter()
        .map(ToString::to_string)
        .map(parse_line)
        .filter(|array| !array.is_empty())
        .collect()
}

pub(crate) fn parse_lines(input: &str) -> Vec<&str> {
    input.split("\n").collect()
}

pub(crate) fn parse_line(line: String) -> Vec<char> {
    line.trim().chars().collect()
}
